This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 785351

Summary: Upgrade of nfs-utils enables services previously disabled in systemctl
Product: [Fedora] Fedora Reporter: Steve Bryant <stephenbryant>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: bfields, jlayton, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-15 11:38:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Steve Bryant 2012-01-28 05:23:01 EST
Description of problem:

Yum upgrade of nfs-utils re-enabled and started the following services which had been manually disabled:
- nfs-idmap.service
- nfs-lock.service

Version-Release number of selected component (if applicable):

nfs-utils-1.2.5-4.fc16.x86_64

How reproducible:

Steps to Reproduce:

1. Running nfs-utils-1.2.5-fc16.x86_64, downgrade to original version in F!^ - 'yum downgrade nfs-utils'.

2. Disable and stop NFS-related services using 'systemctl'.

3. Run 'yum upgrade' to upgrade nfs-utils to current version.
  
Actual results:

The following services are now enabled again although they were explicitly disabled.  After a reboot they will be automatically started (possible security implications?)
- nfs-idmap.service
- nfs-lock.service

Expected results:

Status of existing 'systemctl' services should not be changed.

Additional info:

From 'rpm -q --scripts nfs-utils':
 [ . . . ]
postinstall scriptlet (using /bin/sh):
/bin/systemctl enable nfs-idmap.service >/dev/null 2>&1 || :
/bin/systemctl enable nfs-lock.service >/dev/null 2>&1 || :
 [ . . . ]
Comment 1 Steve Dickson 2012-03-15 11:38:40 EDT
(In reply to comment #0)
> Description of problem:
> 
> Yum upgrade of nfs-utils re-enabled and started the following services which
> had been manually disabled:
> - nfs-idmap.service
> - nfs-lock.service
> 
> Version-Release number of selected component (if applicable):
> 
> nfs-utils-1.2.5-4.fc16.x86_64
> 
> How reproducible:
> 
> Steps to Reproduce:
> 
> 1. Running nfs-utils-1.2.5-fc16.x86_64, downgrade to original version in F!^ -
> 'yum downgrade nfs-utils'.
> 
> 2. Disable and stop NFS-related services using 'systemctl'.
> 
> 3. Run 'yum upgrade' to upgrade nfs-utils to current version.
> 
> Actual results:
> 
> The following services are now enabled again although they were explicitly
> disabled.  After a reboot they will be automatically started (possible security
> implications?)
> - nfs-idmap.service
> - nfs-lock.service
These services are needed for NFS mounts to work correctly. If they are not started all NFS mounts will hang or fail.